Module javafx.base
Package javafx.beans.property

# Class ReadOnlyBooleanWrapper

java.lang.Object
javafx.beans.binding.BooleanExpression
javafx.beans.property.ReadOnlyBooleanProperty
javafx.beans.property.BooleanProperty
javafx.beans.property.BooleanPropertyBase
javafx.beans.property.SimpleBooleanProperty
javafx.beans.property.ReadOnlyBooleanWrapper

All Implemented Interfaces:
  `Observable`, `Property<Boolean>`, `ReadOnlyProperty<Boolean>`, `ObservableBooleanValue`, `ObservableValue<Boolean>`, `WritableBooleanValue`, `WritableValue<Boolean>`

public class ReadOnlyBooleanWrapper extends SimpleBooleanProperty
This class provides a convenient class to define read-only properties. It creates two properties that are synchronized. One property is read-only and can be passed to external users. The other property is read- and writable and should be used internally only.

Since:
  JavaFX 2.0

## Constructor Summary

Constructors
Constructor
Description
`ReadOnlyBooleanWrapper()`
The constructor of `ReadOnlyBooleanWrapper`
`ReadOnlyBooleanWrapper(boolean initialValue)`
The constructor of `ReadOnlyBooleanWrapper`
`ReadOnlyBooleanWrapper(Object bean, String name)`
The constructor of `ReadOnlyBooleanWrapper`
`ReadOnlyBooleanWrapper(Object bean, String name, boolean initialValue)`
The constructor of `ReadOnlyBooleanWrapper`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`fireValueChangedEvent()`
Sends notifications to all attached `InvalidationListeners` and `ChangeListeners`.
`ReadOnlyBooleanProperty`
`getReadOnlyProperty()`
Returns the readonly property, that is synchronized with this `ReadOnlyBooleanWrapper`.

### Methods inherited from class javafx.beans.property.SimpleBooleanProperty

`getBean, getName`

### Methods inherited from class javafx.beans.property.BooleanPropertyBase

`addListener, addListener, bind, get, invalidated, isBound, removeListener, removeListener, set, toString, unbind`

### Methods inherited from class javafx.beans.property.BooleanProperty

`asObject, bindBidirectional, booleanProperty, setValue, unbindBidirectional`

### Methods inherited from class javafx.beans.property.ReadOnlyBooleanProperty

`readOnlyBooleanProperty`

### Methods inherited from class javafx.beans.binding.BooleanExpression

`and, asString, booleanExpression, booleanExpression, getValue, isEqualTo, isNotEqualTo, not, or`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface javafx.beans.value.ObservableValue

`getValue`

### Methods inherited from interface javafx.beans.value.WritableValue

`getValue`

## Constructor Details

### ReadOnlyBooleanWrapper

public ReadOnlyBooleanWrapper()
The constructor of `ReadOnlyBooleanWrapper`

### ReadOnlyBooleanWrapper

public ReadOnlyBooleanWrapper(boolean initialValue)
The constructor of `ReadOnlyBooleanWrapper`

Parameters:
  `initialValue` - the initial value of the wrapped value

### ReadOnlyBooleanWrapper

public ReadOnlyBooleanWrapper(Object bean, String name)
The constructor of `ReadOnlyBooleanWrapper`

Parameters:
  `bean` - the bean of this `ReadOnlyBooleanProperty`
  `name` - the name of this `ReadOnlyBooleanProperty`

### ReadOnlyBooleanWrapper

public ReadOnlyBooleanWrapper(Object bean, String name, boolean initialValue)
The constructor of `ReadOnlyBooleanWrapper`

Parameters:
  `bean` - the bean of this `ReadOnlyBooleanProperty`
  `name` - the name of this `ReadOnlyBooleanProperty`
  `initialValue` - the initial value of the wrapped value

## Method Details

### getReadOnlyProperty

public ReadOnlyBooleanProperty getReadOnlyProperty()
Returns the readonly property, that is synchronized with this `ReadOnlyBooleanWrapper`.

Returns:
  the readonly property

### fireValueChangedEvent

protected void fireValueChangedEvent()
Sends notifications to all attached `InvalidationListeners` and `ChangeListeners`. This method is called when the value is changed, either manually by calling `BooleanPropertyBase.set(boolean)` or in case of a bound property, if the binding becomes invalid.

Overrides:
  `fireValueChangedEvent` in class `BooleanPropertyBase`